{cycle reset=true print=false name=mycycle values="kb-table-row-even,kb-table-row-odd"}
<div class="killlist">
	<div class="block-header2">Grantable Ship Combat Ribbons</div>
	<table class="kb-table" cellspacing="1" width="100%" border="1">
		<tr class="kb-table-header">
			<td width="108">Ribbon</td>
			<td width="300">Name / Class</td>
			<td>Description</td>
		</tr>
		{foreach $ships as $ship}
		{foreach $ship.class as $class}
		<tr class="{cycle name="mycycle"}" height="32">
			<td><img src="{$kb_host}/mods/rank_mod/images/ribbons/{$ship.type}_{$class.tag}_3d.gif" border="0"></td>
			<td><b>{$class.tag2} {$ship.name} Pilot</b><br />{$ship.name} {$class.desc}</td>
			<td>Awarded when a pilot does <b><i>{$class.requirement}</i></b> kills {$ship.conj} {$ship.type}.</td>
		</tr>
		{/foreach}
		{/foreach}
	</table>
	
	<div class="block-header2">Grantable Weapon Master Ribbons</div>
	<table class="kb-table" cellspacing="1" width="100%" border="1">
		<tr class="kb-table-header">
			<td width="108">Ribbon</td>
			<td width="300">Name / Class</td>
			<td>Description</td>
		</tr>
		{foreach $weapons as $weapon}
		{foreach $weapon.class as $class}
		<tr class="{cycle name="mycycle"}" height="32">
			<td><img src="{$kb_host}/mods/rank_mod/images/ribbons/{$weapon.type}_{$class.tag}_3d.gif" border="0"></td>
			<td><b>{$class.tag2} {$weapon.name} {$weapon.bottom}</b><br />{$weapon.name} {$class.desc}</td>
			<td>Awarded when a pilot does <b><i>{$class.requirement}</i></b> kills {$weapon.conj} {$weapon.type}{$weapon.bottom2}.</td>
		</tr>
		{/foreach}
		{/foreach}
		
	</table>
	
	<div class="block-header2">Awarded Medal Ribbons</div>
	<table class="kb-table" cellspacing="1" width="100%" border="1">
		<tr class="kb-table-header">
			<td width="108">Ribbon</td>
			<td width="300">Name / Class</td>
			<td>Description</td>
		</tr>
		{foreach $medals as $med}
		<tr class="{cycle name="mycycle"}" height="32">
			<td><img src="{$kb_host}/mods/rank_mod/images/ribbons/{$med.medal_filename}_3d.gif" border="0"></td>
			<td><b>{$med.medal_name}</b><br />Top {$med.medal_title} Award</td>
			<td>Awarded monthly to the Top {$med.medal_title} pilot.</td>
		</tr>
		{/foreach}
	</table>
	
	{include file='mods/rank_mod/rank_mod_version.tpl'}

</div>