{cycle reset=true print=false name=mycycle values="kb-table-row-even,kb-table-row-odd"}
{if strlen( $actionmessage ) > 0}<p style="color:red; font-weight:bold;">{$actionmessage}</p>{/if}
<div class="block-header2">Medal Settings</div>

<i>Set kill rankpoint bonuses for monthly medal awards.</i><br>
<i>You may deactivate certain rewards or influence the order in which they appear on the awards page.</i><br><br>
<form id="options" name="options" method="post" action="">
<table class=kb-table width="750" border="0" cellspacing="1"> 
	<tr class=kb-table-header>
		<td>icon</td>
		<td >Name</td>
		<td>award for</td>
		<td align=center>Rankpoint value</td>
		<td>active</td>
		<td>sorting</td>
	</tr>
	{foreach $medals as $i => $medal}
	<tr class="{cycle name="mycycle"}">
		<td align=center><img src="{$kb_host}/mods/rank_mod/images/awards/{$medal.data.medal_filename}_port.png" border="0" alt="" title=""></td>
		<td>{$medal.data.medal_name}</td>
		<td>{$medal.data.medal_desc}</td>
		<td align="center"><input type="text" name="rm_{$i}" size="4" maxlength="4" class="password" value="{$medal.value}"></td>
		<td><input type="checkbox" name="award_active_{$medal.data.medal_id}" id="award_active_{$medal.data.medal_id}"{if $medal.data.medal_status} checked="checked"{/if}></td>
		<td><a href="?a=settings_rank_mod&view=rankmod_medal_settings&award_sort_up={$medal.data.medal_id}">up</a> / <a href="?a=settings_rank_mod&view=rankmod_medal_settings&award_sort_down={$medal.data.medal_id}">dn</a></td>
	</tr>
	{/foreach}
</table><br>

<table class="kb-table" width="360" border="0" cellspacing="1">
	<tr>
		<td><b>Count Top Loser awards as a negative rankpoint values:</b></td>
		<td><input type="checkbox" name="pm_neg" id="pm_neg"{if $rank_losermalus} checked="checked"{/if}></td>
	</tr>
	
</table><br>

<table class="kb-subtable">
	<tr>
		<td width="120"></td>
		<td colspan="3"><input type="submit" name="submit" value="Save">&nbsp;<input type="submit" name="reset" value="Reset" style="color: red;"></td>
	</tr>
</table>

</form>

{include file='mods/rank_mod/rank_mod_version.tpl'}