{cycle reset=true print=false name=mycycle values="kb-table-row-even,kb-table-row-odd"}
{if strlen( $actionmessage ) > 0}<p style="color:red; font-weight:bold;">{$actionmessage}</p>{/if}
<div class="block-header2">Rank Evolution Table - {$words} with {$rank_imageset} Insignia Set - {$rank_type}</div>
<i>Select images and names for the rank list.</i><br><br>
<form id="options" name="options" method="post" action="">
<table class="kb-table" width="360" border="0" cellspacing="1">
	<tr>
		<td width="300"><b>Rank Title Set:</b></td>
		<td>
			<select name="r_titleset">
			{foreach $title_sets as $set}
			<option value="{$set.set}"{if $set.selected} selected="selected"{/if}>{$set.set}</option>
			{/foreach}
			</select>
		</td>
	</tr>
	<tr>
		<td width="300"><b>Rank Insignia Set:</b></td>
		<td>
			<select name="r_imageset">
			{foreach $image_sets as $set}
			<option value="{$set.set}"{if $set.selected} selected="selected"{/if}>{$set.set}</option>
			{/foreach}
			</select>
		</td>
	</tr>
	<tr>
		<td width="300"><b>Rank Group:</b></td>
		<td width="60">
			<select name="r_group">
			{foreach $group_sets as $set}
			<option value="{$set.set}"{if $set.selected} selected="selected"{/if}>{$set.set}</option>
			{/foreach}
			</select>
		</td>
	</tr>
</table><br>

<i>Parametes of the exp rank table.</i><br>
<i>Required Rank Points = (Rank Position * Base Rank Points) + (Previous Rank Position Required Rank Points * Exponential Factor)</i><br>
<i>Pilot Base Rank Points = Kill Points / Conversion Factor</i><br>
<i>Total Pilot Rank Points = Pilot Base Rank Points + Ribbons Bonus Rank Points + Medals Bonus Rank Points</i><br><br>
<table class="kb-table" width="360" border="0" cellspacing="1">
	<tr>
		<td width="300"><b>Exponential Factor:</b></td>
		<td><select name="r_exp">
			{foreach $s_e_factor as $exp}
			<option value="{$exp}"{if $exp == $rank_ef} selected="selected"{/if}>{$exp}</option>
			{/foreach}
			</select></td>
	</tr>
	<tr>
		<td width="300"><b>Base Rank Points:</b></td>
		<td><input type="text" name="r_base" size="4" maxlength="4" class="password" value="{$rank_base}"></td>
	</tr>
	<tr>
		<td width="300"><b>Conversion Factor - Kill Points for 1 Rank Point:</b></td>
		<td><input type="text" name="r_conv" size="4" maxlength="4" class="password" value="{$rank_conv}"></td>
	</tr>
</table><br>

<i>Enable to rename titles and abbreviations.</i><br>
<i>Use it only if you modify only settings and keep lenght of the table intact.</i><br><br>
<table class=kb-table width="360" border="0" cellspacing="1">
	<tr>
		<td><b>Enable Custom Titles:</b></td>
		<td><input type="checkbox" name="k_title" id="k_title"{if $keep_title} checked="checked"{/if}></td>
	</tr>
</table><br>

<table class="kb-table" width="500" border="0" cellspacing="1">
	<tr>
		<td width="32"><b>Icon</b></td>
		<td width="220"><b>Rank Name</b></td>
		<td width="50"><b>Abbreviation</b></td>
		<td width="70"><b>Req. Rank Points</b></td>
		<td width="70"><b>Req. Kill Points</b></td>
	</tr>
	{foreach $rank_ttl as $i => $level}
	<tr height="36" class="{cycle name="mycycle"}">
		<td class="item-icon" align="top" valign="top">{$level.img}</td>	
		<td><input type=text name="title_{$i}" size="50" maxlength="50" class="password" value="{$level.title}"{if !$keep_title} disabled="disabled"{/if}></td>
		<td><input type=text name="abbr_{$i}" size="8" maxlength="8" class="password" value="{$level.abbr}"{if !$keep_title} disabled="disabled"{/if}></td>
		<td align="right">{$level.reqrp}</td>
		<td align="right">{$level.reqkp}</td>
	</tr>
	{/foreach}
</table><br>

<table class="kb-subtable">
	<tr>
		<td width="120"></td>
		<td colspan="3"><input type="submit" name="submit" value="Save">&nbsp;<input type="submit" name="reset" value="Reset" style="color: red;"></td>
	</tr>
</table>

</form>

{include file='mods/rank_mod/rank_mod_version.tpl'}