{cycle reset=true print=false name=mycycle values="kb-table-row-even,kb-table-row-odd"}
{if strlen( $actionmessage ) > 0}<p style="color:red; font-weight:bold;">{$actionmessage}</p>{/if}
<div class="block-header2">Award Settings</div>
<i>Set kill requirements and rankpoint bonuses for ship ribbons.</i><br><br>
<form id="options" name="options" method="post" action="">
<table class=kb-table width="750" border="0" cellspacing="1"> 
<tr class=kb-table-header>
	<td colspan=2><b>Class</b><br><i>Subclass</i></td> 
	<td align=center><b>Certified<br>Requirement</b></td>
	<td align=center><b>Certified<br>Bonus</b></td> 
	<td align=center><b>Veteran<br>Requirement</b></td>
	<td align=center><b>Veteran<br>Bonus</b></td> 
	<td align=center><b>Elite<br>Requirement</b></td>
	<td align=center><b>Elite<br>Bonus</b></td>
</tr> 
{foreach $ship_badges as $i => $ship}
{if $ship.parent !== null}
<tr class="{cycle name="mycycle"}">
	<td><input type="checkbox" name="enable_{$i}" id="enable_{$i}"{if $ship.checked} checked="checked"{/if}></td>
	<td><i>{$ship.name}</i></td>
	<td align="center"><input type="text" name="rsbc_{$i}_expert" size="4" maxlength="4" class="password" value="{$ship.class[2].requirement}"></td>
	<td align="center"><input type="text" name="rsbc_{$i}_bexpert" size="4" maxlength="4" class="password" value="{$ship.class[2].bonus}"></td>
	<td align="center"><input type="text" name="rsbc_{$i}_veteran" size="4" maxlength="4" class="password" value="{$ship.class[1].requirement}"></td>
	<td align="center"><input type="text" name="rsbc_{$i}_bveteran" size="4" maxlength="4" class="password" value="{$ship.class[1].bonus}"></td>
	<td align="center"><input type="text" name="rsbc_{$i}_elite" size="4" maxlength="4" class="password" value="{$ship.class[0].requirement}"></td>
	<td align="center"><input type="text" name="rsbc_{$i}_belite" size="4" maxlength="4" class="password" value="{$ship.class[0].bonus}"></td>
</tr>
{else}
<tr class="{cycle name="mycycle"}">
	<td colspan=2>{$ship.name}</td>
	<td align="center"><input type="text" name="rsc_{$i}_expert" size="4" maxlength="4" class="password" value="{$ship.class[2].requirement}"></td>
	<td align="center"><input type="text" name="rsc_{$i}_bexpert" size="4" maxlength="4" class="password" value="{$ship.class[2].bonus}"></td>
	<td align="center"><input type="text" name="rsc_{$i}_veteran" size="4" maxlength="4" class="password" value="{$ship.class[1].requirement}"></td>
	<td align="center"><input type="text" name="rsc_{$i}_bveteran" size="4" maxlength="4" class="password" value="{$ship.class[1].bonus}"></td>
	<td align="center"><input type="text" name="rsc_{$i}_elite" size="4" maxlength="4" class="password" value="{$ship.class[0].requirement}"></td>
	<td align="center"><input type="text" name="rsc_{$i}_belite" size="4" maxlength="4" class="password" value="{$ship.class[0].bonus}"></td>
</tr>
{/if}
{/foreach}
</table><br>

<i>Set kill requirements and rankpoint bonuses for weapon ribbons.</i><br><br>
<table class=kb-table width="750" border="0" cellspacing="1">
	<tr class=kb-table-header>
		<td align=center>Class</td>
		<td align=center><b>Certified<br>Requirement</b></td><td align=center><b>Certified<br>Bonus</b></td>
		<td align=center><b>Veteran<br>Requirement</b></td><td align=center><b>Veteran<br>Bonus</b></td>
		<td align=center><b>Elite<br>Requirement</b></td><td align=center><b>Elite<br>Bonus</b></td>
	</tr>
	{foreach $weapon_badges as $i => $weapon}
	<tr class="{cycle name="mycycle"}">
		<td>{$weapon.name}</td>
		<td align="center"><input type="text" name="rwr_{$i}_expert" size="4" maxlength="4" class="password" value="{$weapon.class[2].requirement}"></td>
		<td align="center"><input type="text" name="rwr_{$i}_bexpert" size="4" maxlength="4" class="password" value="{$weapon.class[2].bonus}"></td>
		<td align="center"><input type="text" name="rwr_{$i}_veteran" size="4" maxlength="4" class="password" value="{$weapon.class[1].requirement}"></td>
		<td align="center"><input type="text" name="rwr_{$i}_bveteran" size="4" maxlength="4" class="password" value="{$weapon.class[1].bonus}"></td>
		<td align="center"><input type="text" name="rwr_{$i}_elite" size="4" maxlength="4" class="password" value="{$weapon.class[0].requirement}"></td>
		<td align="center"><input type="text" name="rwr_{$i}_belite" size="4" maxlength="4" class="password" value="{$weapon.class[0].bonus}"></td>
	</tr>
	{/foreach}
</table><br>

<table class="kb-subtable">
	<tr>
		<td width="120"></td>
		<td colspan="3"><input type="submit" name="submit" value="Save">&nbsp;<input type="submit" name="reset" value="Reset" style="color: red;"></td>
	</tr>
</table>

</form>

{include file='mods/rank_mod/rank_mod_version.tpl'}