<?php
/*
	feel free to modify the values in these arrays, its self explanatory
*/

$stats_enemy_survival = array(
	array( 'min' => 0, 'max' => 5, 'desc' => '', 'color' => '00FF00' ),
	array( 'min' => 5, 'max' => 10, 'desc' => '', 'color' => '00AA00' ),
	array( 'min' => 10, 'max' => 20, 'desc' => '', 'color' => '00AA00' ),
	array( 'min' => 20, 'max' => 30, 'desc' => '', 'color' => '00AAAA' ),
	array( 'min' => 30, 'max' => 40, 'desc' => '', 'color' => 'AAAA00' ),
	array( 'min' => 40, 'max' => 60, 'desc' => '', 'color' => 'AAAA00' ),
	array( 'min' => 60, 'max' => 70, 'desc' => '', 'color' => 'FF0000' ),
	array( 'min' => 70, 'max' => 100, 'desc' => '', 'color' => 'FF0000' )
);

$stats_pilot_efficiency = array(
	array( 'min' => 0, 'max' => 20, 'desc' => '', 'color' => 'FF0000' ),
	array( 'min' => 20, 'max' => 30, 'desc' => '', 'color' => 'FFAA00' ),
	array( 'min' => 30, 'max' => 40, 'desc' => '', 'color' => 'FFAA00' ),
	array( 'min' => 40, 'max' => 50, 'desc' => '', 'color' => 'AAAA00' ),
	array( 'min' => 50, 'max' => 60, 'desc' => '', 'color' => 'AAAA00' ),
	array( 'min' => 60, 'max' => 80, 'desc' => '', 'color' => '00AAAA' ),
	array( 'min' => 80, 'max' => 90, 'desc' => '', 'color' => '00AAAA' ),
	array( 'min' => 90, 'max' => 95, 'desc' => '', 'color' => '00AA00' ),
	array( 'min' => 95, 'max' => 98, 'desc' => '', 'color' => '00AA00' ),
	array( 'min' => 98, 'max' => 99, 'desc' => '', 'color' => '00FF00' ),
	array( 'min' => 99, 'max' => 100, 'desc' => '', 'color' => '00FF00' )
);

/*
	I advise not to edit beyond this point
*/

$weapon_ribbons_array = array(
	"Hybrid Turret",
	"Laser Turret",
	"Projectile Turret",
	"Missile Launcher",
	"Electronic Warfare",
	"Drone Operation"
);

$navy = array(
	'titles' => array(
		array( "Seaman Recruit" , "SR." ),
		array( "Seaman Apprentice" , "SA." ),
		array( "Seaman" , "SN." ),
		array( "Petty Officer Thrird Class" , "PO3." ),
		array( "Petty Officer Second Class" , "PO2." ),
		array( "Petty Officer First Class" , "PO1." ),
		array( "Chief Petty Officer" , "CPO." ),
		array( "Senior Chief Petty Officer" , "SCPO." ),
		array( "Master Chief Petty Officer" , "MCPO." ),
		array( "Fleet Master Chief Petty Officer", "FMCPO." ),

		array( "Ensign" , "Ens." ),
		array( "Lieutenant, Junior Grade" , "LtJG." ),
		array( "Lieutenant" , "Lt." ),
		array( "Lieutenant Commander" , "LCdr." ),
		array( "Commander" , "Cdr." ),
		array( "Captain" , "Capt." ),
		array( "Rear Admiral LH" , "Rdml." ),
		array( "Rear Admiral UH" , "RAdm." ),
		array( "Vice Admiral" , "VAdm." ),
		array( "Admiral" , "Adm." ),
		array( "Fleet Admiral", "FAdm." )
	),
	'typecount' => array(
		"Enlisted" => 10,
		"Officer" => 11
	)
);

$army = array(
	'titles' => array(
		array( "Private" , "Pvt." ),
		array( "Private Second Class" , "Pv2." ),
		array( "Private First Class" , "PFC." ),
		array( "Corporal" , "Cpl." ),
		array( "Sergeant" , "Sgt." ),
		array( "Staff Sergeant" , "SSg." ),
		array( "Sergeant First Class" , "SFC." ),
		array( "Master Sergeant" , "MSg." ),
		array( "Sergeant Major" , "SgM." ),
		array( "Sergeant Major of the Army", "SMA." ),

		array( "Second Lieutenant" , "2Lt." ),
		array( "First Lieutenant" , "1Lt." ),
		array( "Captain" , "Cpt." ),
		array( "Major" , "Maj." ),
		array( "Lieutenant Colonel" , "LtC." ),
		array( "Colonel" , "Col." ),
		array( "Brigadier General" , "BG." ),
		array( "Major General" , "MG." ),
		array( "Lieutenant General" , "LtG." ),
		array( "General" , "Gen." ),
		array( "General of the Army" , "GA." )
	),
	'typecount' => array(
		"Enlisted" => 10,
		"Officer" => 11
	)
);

$airf = array(
	'titles' => array(
		array( "Airman Basic" , "AB." ),
		array( "Airman" , "Amn." ),
		array( "Airman First Class" , "A1C." ),
		array( "Senior Airman" , "SrA." ),
		array( "Staff Sergeant" , "SSgt." ),
		array( "Technical Sergeant" , "TSgt." ),
		array( "Master Sergeant" , "MSgt." ),
		array( "Senior Master Sergeant" , "SMSgt." ),
		array( "Chief Master Sergeant" , "CMSgt." ),
		array( "Chief Master Sergeant of the Air Force", "CMSAF." ),

		array( "Second Lieutenant" , "2d Lt." ),
		array( "First Lieutenant" , "1st Lt." ),
		array( "Captain" , "Capt." ),
		array( "Major" , "Maj." ),
		array( "Lieutenant Colonel" , "Lt Col." ),
		array( "Colonel" , "Col." ),
		array( "Brigadier General" , "Brig Gen." ),
		array( "Major General" , "Maj Gen." ),
		array( "Lieutenant General" , "Lt Gen." ),
		array( "General" , "Gen." ),
		array( "General of the Air Force", "Gen AF." )
	),
	'typecount' => array(
		"Enlisted" => 10,
		"Officer" => 11
	)
);

$strek=array(
	"Recruit" , "Rct." ,
	"Crewman 3rd Class" , "CM3." ,
	"Crewman 2nd Class" , "CM2." ,
	"Crewman 1st Class" , "CM1." ,
	"Petty Officer 3rd Class" , "PO3." ,
	"Petty Officer 2nd Class" , "PO2." ,
	"Petty Officer 1st Class" , "PO1." ,
	"Chief Petty Officer" , "CPO." ,
	"Senior Chief Petty Officer" , "SCPO." ,
	"Master Chief Petty Officer" , "MCPO." ,

	"Ensign" , "Ens." ,
	"Lieutenant Junior Grade" , "LtJG." ,
	"Lieutenant" , "Lt." ,
	"Lieutenant Commander" , "LCdr." ,
	"Commander" , "Cdr." ,
	"Captain" , "Capt." ,
	"Commodore" , "Comm." ,
	"Rear Admiral" , "RAdm." ,
	"Vice Admiral" , "VAdm." ,
	"Admiral" , "Adm." ,
	"Fleet Admiral" , "FAdm."
);

$strek2=array(
	"Recruit" , "Rct." ,
	"Crewman 3rd Class" , "CM3." ,
	"Crewman 2nd Class" , "CM2." ,
	"Crewman 1st Class" , "CM1." ,
	"Petty Officer 3rd Class" , "PO3." ,
	"Petty Officer 2nd Class" , "PO2." ,
	"Petty Officer 1st Class" , "PO1." ,
	"Chief Petty Officer" , "CPO." ,
	"Senior Chief Petty Officer" , "SCPO." ,
	"Master Chief Petty Officer" , "MCPO." ,

	"Ensign." , "Ens." ,
	"Lieutenant junior grade" , "Ltjg." ,
	"Lieutenant" , "Lt." ,
	"Lieutenant Commander" , "LtC." ,
	"Commander" , "Cdr." ,
	"Captain" , "Capt." ,
	"Rear Admiral lower half" , "Rdml." ,
	"Rear Admiral" , "RAdm." ,
	"Vice Admiral" , "VAdm." ,
	"Admiral" , "Adm." ,
	"Fleet Admiral" , "FAdm."
);

$esfn=array(
	"Recruit" , "Rct." ,
	"Crewman 3rd Class" , "CM3." ,
	"Crewman 2nd Class" , "CM2." ,
	"Crewman 1st Class" , "CM1." ,
	"Petty Officer 3rd Class" , "PO3." ,
	"Petty Officer 2nd Class" , "PO2." ,
	"Petty Officer 1st Class" , "PO1." ,
	"Chief Petty Officer" , "CPO." ,
	"Senior Chief Petty Officer" , "SCPO." ,
	"Master Chief Petty Officer" , "MCPO." ,

	"Cadet 2nd Class" , "Cd2." ,
	"Cadet 1st Class" , "Cd1." ,
	"Ensign" , "Ens." ,
	"Lieutenant" , "Lt." ,
	"Commander" , "Cdr." ,
	"Captain" , "Capt." ,
	"Commodore" , "Comm." ,
	"Rear Admiral" , "RAdm." ,
	"Vice Admiral" , "VAdm." ,
	"Admiral" , "Adm." ,
	"Fleet Admiral" , "FAdm."
);

$bsgn=array(
	"Recruit" , "Rct." ,
	"Deckhand" , "Dkh." ,
	"Crewman" , "Cmn." ,
	"Crewman Specialist" , "CmS." ,
	"Petty Officer 3rd Class" , "PO3." ,
	"Petty Officer 2nd Class" , "PO2." ,
	"Petty Officer 1st Class" , "PO1." ,
	"Chief Petty Officer" , "CPO." ,
	"Senior Chief Petty Officer" , "SCPO." ,
	"Master Chief Petty Officer" , "MCPO." ,

	"Cadet" , "Cdt." ,
	"Ensign" , "Ens." ,
	"Lieutenant Junior Grade" , "LtJG." ,
	"Lieutenant" , "Lt." ,
	"Captain" , "Capt." ,
	"Major" , "Maj." ,
	"Colonel" , "Col." ,
	"Commander", "Cdr." ,
	"Rear Admiral" , "RAdm." ,
	"Vice Admiral" , "VAdm." ,
	"Admiral" , "Adm."
);

$wbsgn=array(
	"Cadet" , "Cdt." ,
	"Junior Ensign" , "Ens. Jr." ,
	"Senior Ensign" , "Ens. Sr." ,
	"Junior Lieutenant Jg" , "LtJG. Jr." ,
	"Senior Lieutenant Jg" , "LtJg. Sr." ,
	"Junior Lieutenant" , "Lt. Jr." ,
	"Senior Lieutenant" , "Lt. Sr." ,
	"Junior Captain" , "Capt. Jr." ,
	"Senior Captain" , "Capt. Sr." ,
	"Junior Major" , "Maj. Jr" ,

	"Senior Major" , "Maj. Sr." ,
	"Junior Colonel" , "Col. Jr." ,
	"Senior Colonel" , "Col. Sr." ,
	"Junior Commander" , "Cdr. Jr." ,
	"Senior Commander" , "Cdr. Sr." ,
	"Junior Rear Admiral" , "RAdm. Jr." ,
	"Senior Rear Admiral" , "RAdm. Sr." ,
	"Junior Vice Admiral", "VAdm. Jr." ,
	"Senior Vice Admiral" ,"VAdm. Sr." ,
	"Junior Admiral" , "Adm. Jr." ,
	"Senior Admiral" , "Adm. Sr."
);

$swin=array(
	"Recruit" , "Rct." ,
	"Crewman 3rd Class" , "CM3." ,
	"Crewman 2nd Class" , "CM2." ,
	"Crewman 1st Class" , "CM1." ,
	"Petty Officer 3rd Class" , "PO3." ,
	"Petty Officer 2nd Class" , "PO2." ,
	"Petty Officer 1st Class" , "PO1." ,
	"Chief Petty Officer" , "CPO." ,
	"Senior Chief Petty Officer" , "SCPO." ,
	"Master Chief Petty Officer" , "MCPO." ,

	"Ensign" , "Ens." ,
	"Sublieutenant" , "Slt." ,
	"Lieutenant" , "Lt." ,
	"Lieutenant Commander" , "LtC." ,
	"Commander" , "Cdr." ,
	"Captain" , "Capt." ,
	"Captain of the Line" , "CptL." ,
	"Commodore" , "Comm." ,
	"Rear Admiral" , "RAdm." ,
	"Vice Admiral" , "VAdm." ,
	"Admiral" , "Adm."
);

$itsf=array(
	"Recluta" , "Rec." ,
	"Comune 3za Classe" , "Cm3." ,
	"Comune 2da Classe" , "Cm2." ,
	"Comune 1ma Classe" , "Cm1." ,
	"Sottocapo 3za Classe" , "Sc3." ,
	"Sottocapo 2da Classe" , "Sc2." ,
	"Sottocapo 1ma Classe" , "Sc1." ,
	"Maresciallo" , "Mrc." ,
	"Primo Maresciallo" , "PMr." ,
	"Primo Maresciallo luogotenente" , "PMC." ,

	"Guardiamarina" , "Grd." ,
	"Sottotenente" , "Stt." ,
	"Tenente" , "Ten." ,
	"Tenente Comandante" , "TnC." ,
	"Comandante" , "Cmn." ,
	"Capitano" , "Cap." ,
	"Commodoro" , "Comm." ,
	"Contrammiraglio" , "Cont." ,
	"Vice Ammiraglio" , "VAmm." ,
	"Ammiraglio" , "Amm." ,
	"Ammiraglio Supremo" , "Supr."
);

$itnavy=array(
	"Sottocapo di 3za Classe" , "Sc3." ,
	"Sottocapo di 2da Classe" , "Sc2." ,
	"Sottocapo di 1ma Classe" , "Sc1." ,
	"Sergente" , "Ser." ,
	"Secondo Capo" , "Scc." ,
	"Capo di 3za Classe" , "Cp3." ,
	"Capo di 2da Classe" , "Cp2." ,
	"Capo di 1ma Classe" , "Cp1." ,
	"Primo Maresciallo" , "Pma." ,
	"Primo Maresciallo luogotenente", "Pml." ,

	"Aspirante Guardiamarina" , "Asp." ,
	"Guardiamarina" , "Gdm." ,
	"Sottotenente di Vascello" , "SdV." ,
	"Tenente di Vascello" , "TdV." ,
	"Capitano di Corvetta" , "CdC." ,
	"Capitano di Fregata" , "CdF." ,
	"Capitano di Vascello" , "CdV." ,
	"Contrammiraglio" , "Cta." ,
	"Ammiraglio di Divisione" , "AdD." ,
	"Ammiraglio di Squadra" , "AdS." ,
	"Ammiraglio", "Amm."
);

$swis=array(
	"Starman Basic" , "SmB." ,
	"Starman" , "Stm." ,
	"Starman First Class" , "SFC." ,
	"Senior Starman" , "SSm.",
	"Sergeant" , "Sgt." ,
	"Staff Sergeant" , "SSgt." ,
	"First Sergeant" , "FSgt." ,
	"Chief First Segeant" , "CFSgt." ,
	"Senior First Sergeant" , "SFSgt." ,
	"Master First Sergeant" , "MFSgt." ,

	"Flight Cadet" , "FCdt." ,
	"Pilot Officer" , "POff." ,
	"Flying Officer" , "FOff." ,
	"Flight Lieutenant" , "FLt." ,
	"Squadron Leader" , "SLdr." ,
	"Wing Commander" , "WCdr." ,
	"Group Captain" , "GCpt." ,
	"Flight Commodore" , "FComm." ,
	"Vice Marshall" , "VMar." ,
	"Marshall" , "Mar." ,
	"Chief Marshall" , "CMar."
);

$swrn=array(
	"Recruit" , "Rct." ,
	"Crewman 3rd Class" , "CM3." ,
	"Crewman 2nd Class" , "CM2." ,
	"Crewman 1st Class" , "CM1." ,
	"Petty Officer 3rd Class" , "PO3." ,
	"Petty Officer 2nd Class" , "PO2." ,
	"Petty Officer 1st Class" , "PO1." ,
	"Chief Petty Officer" , "CPO." ,
	"Senior Chief Petty Officer" , "SCPO." ,
	"Master Chief Petty Officer" , "MCPO." ,

	"Midshipman" , "Mids." ,
	"Ensign" , "Ens." ,
	"Sub-Lieutenant" , "Slt." ,
	"Lieutenant" , "Lt." ,
	"Lieutenant Commander" , "LtC." ,
	"Commander" , "Cdr." ,
	"Captain" , "Capt." ,
	"Commodore" , "Comm." ,
	"Rear Admiral" , "RAdm." ,
	"Vice Admiral" , "Vadm." ,
	"Admiral" , "Adm."
);

$tfsf = array(
	'titles' => array(
		array( "Recruit" , "Rct." ),
		array( "Deckhand" , "Dkh." ),
		array( "Crewman" , "Cmn." ),
		array( "Crewman Specialist" , "CmS." ),
		array( "Petty Officer 3rd Class" , "PO3." ),
		array( "Petty Officer 2nd Class" , "PO2." ),
		array( "Petty Officer 1st Class" , "PO1." ),
		array( "Chief Petty Officer" , "CPO." ),
		array( "Senior Chief Petty Officer" , "SCPO." ),
		array( "Master Chief Petty Officer" , "MCPO." ),

		array( "Ensign" , "Ens." ),
		array( "Sublieutenant" , "2lt." ),
		array( "Lieutenant" , "Lt." ),
		array( "Lieutenant Commander" , "LtC." ),
		array( "Commander" , "Cdr." ),
		array( "Captain" , "Capt." ),
		array( "Commodore" , "Comm." ),
		array( "Rear Admiral" , "RAdm." ),
		array( "Vice Admiral" , "VAdm." ),
		array( "Admiral" , "Adm." ),
		array( "Starfleet Admiral" , "SAdm." )
	),
	'typecount' => array(
		"Enlisted" => 10,
		"Officer" => 11
	)
);

$fwmin = array(
	'titles' => array(
		array( "Nation Warrior" , "NtWar." ),
		array( "Spike Lieutenant" , "SpkLt." ),
		array( "Spear Lieutenant" , "SprLt." ),
		array( "Venge Captain" , "VCap." ),
		array( "Lance Commander" , "LCom." ),
		array( "Blade Commander" , "BCom." ),
		array( "Talon Commander" , "TCom." ),

		array( "Voshud Major" , "VM." ),
		array( "Matar Colonel" , "MC." ),
		array( "Valklear General" , "VG." )
	),
	'typecount' => array(
		"Enlisted" => 7,
		"Officer" => 3
	)
);

$fwgal = array(
	'titles' => array(
		array( "Federation Minuteman" , "Min." ),
		array( "Defender Lieutenant" , "DefLt." ),
		array( "Guardian Lieutenant" , "GLt." ),
		array( "Lieutenant Sentinel" , "LtS." ),
		array( "Shield Commander" , "ShCom." ),
		array( "Aegis Commander" , "AeCom." ),
		array( "Vice Commander" , "VCom." ),

		array( "Major General" , "MG." ),
		array( "Lieutenant General" , "LC." ),
		array( "Luminaire General" , "LumG." )
	),
	'typecount' => array(
		"Enlisted" => 7,
		"Officer" => 3
	)
);


$s_rank_type = array(
	"Enlisted" ,
	"Officer" ,
	"Enlisted + Officer"
);

$s_rank_specs = array(
	'EVE Faction Warfare: Minmatar'  => array( 'title' => 'fwmin', 'enlisted' => 'fwmin_en', 'officer' => 'fwmin_of'),
	'EVE Faction Warfare: Gallente'  => array( 'title' => 'fwgal', 'enlisted' => 'fwgal_en', 'officer' => 'fwgal_of'),
	'U.S. Air Force' => array( 'title' => 'airf', 'enlisted' => 'airf_en', 'officer' => 'US_of'),
	'U.S. Army' => array( 'title' => 'army', 'enlisted' => 'army_en', 'officer' => 'US_of'),
	'U.S. Navy' => array( 'title' => 'navy', 'enlisted' => 'navy_en', 'officer' => 'US_of'),
	'Italian Navy' => array( 'title' => 'itnavy', 'enlisted' => 'itnavy_en', 'officer' => 'itnavy_of'),
	'Italian Starfleet' => array( 'title' => 'itsf', 'enlisted' => 'itsf_en', 'officer' => 'itsf_of'),
	'Battlestar Galactica' => array( 'title' => 'bsgn', 'enlisted' => 'bsgn_en', 'officer' => 'bsgn_of'),
	'Winged Battlestar Galactica' => array( 'title' => 'wbsgn', 'enlisted' => 'wbsgn_en', 'officer' => 'wbsgn_of'),
	'Star Trek: Original Series' => array( 'title' => 'strek', 'enlisted' => 'strek_en', 'officer' => 'strek_of'),
	'Star Trek: Next Generation' => array( 'title' => 'strek2', 'enlisted' => 'strek2_en', 'officer' => 'strek2_of'),
	'Star Trek: Enterprise' => array( 'title' => 'esfn', 'enlisted' => 'esfn_en', 'officer' => 'esfn_of'),
	'Star Wars: Imperial Navy'  => array( 'title' => 'swin', 'enlisted' => 'swin_en', 'officer' => 'swin_of'),
	'Star Wars: Imperial Starfighters'  => array( 'title' => 'swis', 'enlisted' => 'swis_en', 'officer' => 'swis_of'),
	'Star Wars: Rebel Alliance'  => array( 'title' => 'swrn', 'enlisted' => 'swrn_en', 'officer' => 'swrn_of'),
	'Terran Federation Starfleet'  => array( 'title' => 'tfsf', 'enlisted' => 'tfsf_en', 'officer' => 'tfsf_of')
);

$s_rank_imageset = array(
	"EVE Faction Warfare: Minmatar",
	"EVE Faction Warfare: Gallente",
	"U.S. Air Force" ,
	"U.S. Army" ,
	"U.S. Navy",
	"Italian Navy",
	// "Italian Starfleet",
	"Battlestar Galactica",
	// "Winged Battlestar Galactica",
	"Star Trek: Original Series",
	"Star Trek: Next Generation",
	"Star Trek: Enterprise",
	"Star Wars: Imperial Navy",
	// "Star Wars: Imperial Starfighters",
	"Star Wars: Rebel Alliance",
	//"Terran Federation Starfleet"
);

$s_rank_titleset = array(
	"EVE Faction Warfare: Minmatar",
	"EVE Faction Warfare: Gallente",
	"U.S. Air Force" ,
	"U.S. Army" ,
	"U.S. Navy",
	//"Italian Navy",
	//"Italian Starfleet",
	//"Battlestar Galactica",
	//"Winged Battlestar Galactica",
	//"Star Trek: Original Series",
	//"Star Trek: Next Generation",
	//"Star Trek: Enterprise",
	//"Star Wars: Imperial Navy",
	//"Star Wars: Imperial Starfighters",
	//"Star Wars: Rebel Alliance",
	"Terran Federation Starfleet"
);

$s_e_factor=array(
	1 ,
	1.1 ,
	1.2 ,
	1.3 ,
	1.4 ,
	1.5 ,
	1.7 ,
	2 ,
	2.5 );

$kb_year=array(
	2003,
	2004,
	2005,
	2006,
	2007,
	2008,
	2009,
	2010,
	2011,
	2012,
	2013,
	2014
);

$kb_month=array(
	1,
	2,
	3,
	4,
	5,
	6,
	7,
	8,
	9,
	10,
	11,
	12
);
?>